
/*
Program 22: procprod.do
*/


* procproddo;

#delimit ;

* directory needs to be changed;

global d "/rdcprojects/ch/ch01440/data";
set more 1;

cd "$d";

use cmffinal,clear;
  keep newid firmid year tvs te yearmax_firm yearmin_firm;
  gen count = 1;
  sort year firmid;
  egen nplant = sum(count), by(year firmid);
  sort year newid;
  keep year newid firmid nplant;
save bs2,replace;

use cmfprod,clear;
  collapse (sum) pv, by(year ind);
  by year, sort: sum pv;
clear;

use cmfprod,clear;
  replace year = 1962 if year == 1963;
  sort year newid;
  merge year newid using bs2;  * merge with cmf data ;
  keep if _merge == 3;
  gen count = 1;
  egen nprodplant = sum(count), by(year newid);
  sort year firmid;
  egen nprodfirm = sum(count), by(year firmid);
  collapse (mean) nplant nprodfirm nprodplant, by(year firmid);
  by year, sort: sum nplant nprodfirm nprodplant;
erase bs2.dta;

* end procproddo ******************************************;


